## initramfs-tools 0.98.1ubuntu6

=== debian/changelog ===
initramfs-tools (0.98.1ubuntu6) maverick; urgency=low

  * Apparently the iscan hook is sometimes called iscan-data, so ignore
    errors from that too (LP: #654856).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 04 Oct 2010 23:34:53 +0100

initramfs-tools (0.98.1ubuntu5) maverick; urgency=low

  * Ignore errors from iscan hook, due to a widely-deployed third-party
    package causing upgrade problems (LP: #603053).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 04 Oct 2010 10:42:30 +0100

initramfs-tools (0.98.1ubuntu4) maverick; urgency=low

  * Make /etc/mtab a symlink to /proc/mounts on startup, since e.g. current
    ntfs-3g doesn't work otherwise (LP: #641306).  (We can't make it a
    symlink directly in the initramfs, since mkinitramfs uses 'cpio
    --dereference'.)

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 17 Sep 2010 18:14:31 +0100

initramfs-tools (0.98.1ubuntu3) maverick; urgency=low

  * hooks/thermal: Force load thermal modules on powerpc for now, as there are
    no modaliases for these modules, so udev won't touch them. Longer term,
    scripts will need to be written to better identify which thermal module
    needs to be loaded. (LP: #631358)

 -- Luke Yelavich <themuso@ubuntu.com>  Wed, 15 Sep 2010 18:08:15 +1000

initramfs-tools (0.98.1ubuntu2) maverick; urgency=low

  * scripts/functions: Adding plymouth hide-splash to see the initramfs prompt
    messages on VT. (LP: #628400)

 -- Surbhi Palande <surbhi.palande@canonical.com>  Mon, 13 Sep 2010 10:24:22 +0100

initramfs-tools (0.98.1ubuntu1) maverick; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Use busybox-initramfs for Depends.
    - Mount /dev with the default tmpfs size rather than sourcing udev.conf.
    - Set takeover=1 in update-initramfs.
    - Allow the mounting of a root filesystem as a loop device on top of a
      host filesystem, used for Wubi installs.
    - Add vfat support to the initramfs.
    - Add 2>&1 to the run-init line.
    - Add mountroot failure support, to allow meaningful messages when no
      root device can be found.
    - Panic if either the root device doesn't exist, or blkid cannot
      identify it.  Allows for mountroot failure hooks for md devices to be
      displayed.
    - Ignore blacklist for forced vga= usage.
    - Loop for 5 seconds waiting for $suspend to show up, adjustable with
      the resumedelay= command-line arg.
    - Allow for alternative PREREQS to be specified using | as the
      separator.
    - Support loading compcache from the initramfs.
    - Remove klibc utilities if busybox is in use.
    - Revert "framebuffer: Let udev create fb devices."  udev isn't started
      at this point and therefore can't create framebuffer devices.
    - Create /dev/mem and /dev/zero if video=uvesafb.
    - Add hid_* modules, since some keyboards will not be usable at the
      initramfs/busybox prompt without them.
    - Replace all instances of vol_id with blkid, and depend on util-linux.
    - Use gzip from busybox instead of klibc.  Depend on busybox-initramfs
      (>= 1:1.13.3-1ubuntu5) to ensure that we have it.
    - Remove bnx2 from the initramfs; it needs firmware, and at this stage
      we only support network modules that don't need firmware loading.
    - Don't display "Loading, please wait..." message when 'quiet' is in
      /proc/cmdline.
    - Allow scripts and hooks to specify OPTION=VAR, and unless VAR is set
      to something other than "n", the script will not be included.
    - Restore the framebuffer hook and script, copying KMS and other
      framebuffer drivers into the initramfs, but make them optional; you
      need to set FRAMEBUFFER=y for these to be included.
    - Depend on a sufficient version of udev to load fbcon.
    - Conflict with older versions of usplash.
    - Don't load keymaps unless we're loading a framebuffer; but set the
      keymap before giving a root shell.
    - Add new initramfs-tools-bin package containing a binary that uses
      libudev to wait for udev to create the udev device, or wait for udev
      to finish processing if we catch it in the act, and returns the
      filesystem type as already probed by udev.  Use it while mounting
      local root filesystems and while resuming.
    - Add hwaddr= alias for BOOTIF= for compatibility.
    - Allow specifying multiple break points using a comma delimiter.
    - Automatically blacklist vga16fb when vga= or video= specified on
      kernel command-line.
    - Call 'plymouth message' before resuming, to notify the user of the
      reason for the delay if the plymouth theme supports it.
    - Add a new 'fixrtc' script that tries to set the system clock forward
      based on the last mount time of the root disk; without this kludge,
      systems without a working RTC will end up in a perpetual reboot loop.
    - Drop hooks/keymap and associated code; console-setup takes care of
      this in Ubuntu.
    - Incorporate rzscontrol from compcache so that we can control current
      ramzswap devices.
  * Stop silencing /bin/resume output when trying to resume; the offending
    message in klibc is now debug-only.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 07 Sep 2010 12:45:05 +0100

initramfs-tools (0.98.1) unstable; urgency=high

  [ Vagrant Cascadian ]
  * [85fbb23] configure_networking(): Look for presence of
    /tmp/net-*.conf files to not recall ipconfig. (Closes: #584583)

 -- maximilian attems <maks@debian.org>  Wed, 25 Aug 2010 22:13:18 +0200

initramfs-tools (0.98ubuntu2) maverick; urgency=low

  * The ramzswap device changed its interface so that the disk size needs to
    be given using an ioctl rather than as a module parameter.  Incorporate
    the rzscontrol tool from the compcache project
    (http://code.google.com/p/compcache/) so that we can control current
    ramzswap devices (LP: #600782).  This is a strictly temporary measure,
    as recent versions of compcache change the interface (and module name)


=== debian/control ===
Source: initramfs-tools
Section: utils
Priority: optional
Uploaders: maximilian attems <maks@debian.org>, Michael Prokop <mika@debian.org>
Maintainer: Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian kernel team <debian-kernel@lists.debian.org>
Build-Depends: debhelper (>= 7.0.50~), pkg-config, libudev-dev
Standards-Version: 3.9.1
Vcs-Browser: http://git.debian.org/?p=kernel/initramfs-tools.git
Vcs-Git: git://git.debian.org/git/kernel/initramfs-tools.git

Package: initramfs-tools
Architecture: all
Depends: initramfs-tools-bin (>= ${source:Version}), initramfs-tools-bin (<< ${source:Version}.1~), klibc-utils (>= 1.5.9-1), busybox-initramfs (>= 1:1.13.3-1ubuntu5), cpio, module-init-tools, udev (>= 147~-5), findutils (>= 4.2.24), util-linux (>> 2.15~rc1), ${misc:Depends}
Suggests: bash-completion
Provides: linux-initramfs-tool
Breaks: mountall (<< 2.0~)
Conflicts: usplash (<< 0.5.50)
Description: tools for generating an initramfs
 This package contains tools to create and boot an initramfs for packaged 2.6
 Linux kernel. The initramfs is a gzipped cpio archive. At boot time, the
 kernel unpacks that archive into RAM, mounts and uses it as initial root file
 system. The mounting of the real root file system occurs in early user space.
 klibc provides utilities to setup root. Having the root on MD, LVM2, LUKS or
 NFS is also supported.
 Any boot loader with initrd support is able to load an initramfs archive.

Package: initramfs-tools-bin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: binaries used by initramfs-tools
 This package contains binaries used inside the initramfs images generated
 by initramfs-tools.

## initramfs-tools 0.98.1ubuntu6.1

=== debian/changelog ===
initramfs-tools (0.98.1ubuntu6.1) maverick-proposed; urgency=low

  * Rename xhci to xhci-hcd to fix booting from USB 3.0 devices
    (cherry-picked fix from Debian bug #625224). (LP: #565047)

 -- Evan Broder <evan@ebroder.net>  Wed, 08 Jun 2011 09:49:46 -0700

## initramfs-tools 0.98.8

=== debian/changelog ===
initramfs-tools (0.98.8) unstable; urgency=high

  [ maximilian attems ]
  * [67c1d32] initramfs-tools: MODULES=dep fix for ubifs /
    (Closes: #608339)
  * [ca4d08a] mkinitramfs: Fix noexec /tmp detection for long device
    names. (Closes: #608865) Thanks to Ian Campbell <ijc@hellion.org.uk>

  [ Ben Hutchings ]
  * [78d9e04] initramfs-tools: Handle hidden dependency of libcrc32c on
    crc32c. (Closes: #608538)


 -- maximilian attems <maks@debian.org>  Fri, 28 Jan 2011 15:11:10 +0100

initramfs-tools (0.98.7) unstable; urgency=high

  [ Aad dame ]
  * [1caecd2] initramfs-tools: Fix MODULES=dep on an AOE device.
    (Closes: #607509)

  [ maximilian attems ]
  * [78337a4] MODULES=dep Fix partitioned raid setup (Closes: #605824)

 -- maximilian attems <maks@debian.org>  Mon, 20 Dec 2010 12:56:01 +0100

initramfs-tools (0.98.6) unstable; urgency=high

  [ Milan Kupcevic ]
  * [dd40f3a] initramfs-tools: Load PowerMac G5 thermal modules.
    (Closes: #603981)

  [ maximilian attems ]
  * [c103d08] initramfs-tools: cryptsetup Lenny dist upgrade fix.
    (Closes: #607090)

  [ Ben Hutchings ]
  * [1e46a47] Fix condition for adding IDE or SCSI disk driver when
    MODULES=dep

 -- maximilian attems <maks@debian.org>  Thu, 16 Dec 2010 14:45:29 +0100

initramfs-tools (0.98.5) unstable; urgency=high

  [ maximilian attems ]
  * [6b6cbe0] mkininitramfs: MODULES=dep fallback to /proc/mounts for
    rootdev (Closes: #600453)
  * [f3b696b] Small enhancements to Maintainer docs.

  [ Marc Herbert ]
  * [478ba89] Minor documentation fix in /etc/initramfs-tools/modules.
    (LP: #177263)

 -- maximilian attems <maks@debian.org>  Thu, 21 Oct 2010 13:53:17 +0200

initramfs-tools (0.98.4) unstable; urgency=high

  * [bfb0742] reportbug: list force loaded modules.
  * [a103aea] hooks/thermal: Add windfarm_pm121 for powerpc on initramfs.
  * [1c64a45] initramfs-tools.8: udev gets loaded earlier.
    (Closes: #596984)

 -- maximilian attems <maks@debian.org>  Sat, 25 Sep 2010 20:25:30 +0200

initramfs-tools (0.98.3) unstable; urgency=high

  * [365e06b] Ubuntu merge: Conflict with older versions of usplash.

 -- maximilian attems <maks@debian.org>  Fri, 10 Sep 2010 09:40:10 +0200

initramfs-tools (0.98.2) unstable; urgency=high

  [ Eckhart Wörner ]
  * [97f20c5] initramfs-tools: Add hid-cherry and hid-logitech to
    initramfs (Closes: #595827)

 -- maximilian attems <maks@debian.org>  Tue, 07 Sep 2010 12:54:01 +0200

=== debian/control ===
Source: initramfs-tools
Section: utils
Priority: optional
Uploaders: maximilian attems <maks@debian.org>, Michael Prokop <mika@debian.org>
Maintainer: Debian kernel team <debian-kernel@lists.debian.org>
Build-Depends: debhelper (>= 7.0)
Standards-Version: 3.9.1
Vcs-Browser: http://git.debian.org/?p=kernel/initramfs-tools.git
Vcs-Git: git://git.debian.org/git/kernel/initramfs-tools.git

Package: initramfs-tools
Architecture: all
Recommends: busybox (>= 1:1.01-3) | busybox-initramfs
Depends: klibc-utils (>= 1.5.9-1), cpio, module-init-tools, udev (>= 0.086-1), findutils (>= 4.2.24), ${misc:Depends}
Suggests: bash-completion
Provides: linux-initramfs-tool
Conflicts: usplash (<< 0.5.50)
Breaks: cryptsetup (<< 2:1.1.0-2.1)
Description: tools for generating an initramfs
 This package contains tools to create and boot an initramfs for packaged 2.6
 Linux kernel. The initramfs is a gzipped cpio archive. At boot time, the
 kernel unpacks that archive into RAM, mounts and uses it as initial root file
 system. The mounting of the real root file system occurs in early user space.
 klibc provides utilities to setup root. Having the root on MD, LVM2, LUKS or
 NFS is also supported.
 Any boot loader with initrd support is able to load an initramfs archive.

## initramfs-tools 0.98.8ubuntu3

=== debian/changelog ===
initramfs-tools (0.98.8ubuntu3) natty; urgency=low

  * If copy_exec finds libraries to copy which are only accessible to the
    runtime linker by virtue of being listed in /etc/ld.so.conf*, then
    install those libraries to /lib or /usr/lib as appropriate instead
    (LP: #728611).

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 26 Mar 2011 01:12:48 +0000

initramfs-tools (0.98.8ubuntu2) natty; urgency=low

  * Restore bnx2 to the initramfs; firmware loading should work these days,
    and lots of other modules need firmware.  Suggested by maximilian
    attems.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 09 Feb 2011 18:13:23 +0000

initramfs-tools (0.98.8ubuntu1) natty; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Use busybox-initramfs for Depends.
    - Mount /dev with the default tmpfs size rather than sourcing udev.conf.
    - Set takeover=1 in update-initramfs.
    - Allow the mounting of a root filesystem as a loop device on top of a
      host filesystem, used for Wubi installs.
    - Add vfat support to the initramfs.
    - Add 2>&1 to the run-init line.
    - Add mountroot failure support, to allow meaningful messages when no
      root device can be found.
    - Panic if either the root device doesn't exist, or blkid cannot
      identify it.  Allows for mountroot failure hooks for md devices to be
      displayed.
    - Ignore blacklist for forced vga= usage.
    - Loop for 5 seconds waiting for $suspend to show up, adjustable with
      the resumedelay= command-line arg.
    - Allow for alternative PREREQS to be specified using | as the
      separator.
    - Support loading compcache from the initramfs.
    - Remove klibc utilities if busybox is in use.
    - Revert "framebuffer: Let udev create fb devices."  udev isn't started
      at this point and therefore can't create framebuffer devices.
    - Create /dev/mem and /dev/zero if video=uvesafb.
    - Add hid_* modules, since some keyboards will not be usable at the
      initramfs/busybox prompt without them.
    - Replace all instances of vol_id with blkid, and depend on util-linux.
    - Use gzip from busybox instead of klibc.  Depend on busybox-initramfs
      (>= 1:1.13.3-1ubuntu5) to ensure that we have it.
    - Remove bnx2 from the initramfs; it needs firmware, and at this stage
      we only support network modules that don't need firmware loading.
    - Don't display "Loading, please wait..." message when 'quiet' is in
      /proc/cmdline.
    - Allow scripts and hooks to specify OPTION=VAR, and unless VAR is set
      to something other than "n", the script will not be included.
    - Restore the framebuffer hook and script, copying KMS and other
      framebuffer drivers into the initramfs, but make them optional; you
      need to set FRAMEBUFFER=y for these to be included.
    - Depend on a sufficient version of udev to load fbcon.
    - Don't load keymaps unless we're loading a framebuffer; but set the
      keymap before giving a root shell.
    - Add new initramfs-tools-bin package containing a binary that uses
      libudev to wait for udev to create the udev device, or wait for udev
      to finish processing if we catch it in the act, and returns the
      filesystem type as already probed by udev.  Use it while mounting
      local root filesystems and while resuming.
    - Add hwaddr= alias for BOOTIF= for compatibility.
    - Allow specifying multiple break points using a comma delimiter.
    - Automatically blacklist vga16fb when vga= or video= specified on
      kernel command-line.
    - Call 'plymouth message' before resuming, to notify the user of the
      reason for the delay if the plymouth theme supports it.
    - Add a new 'fixrtc' script that tries to set the system clock forward
      based on the last mount time of the root disk; without this kludge,
      systems without a working RTC will end up in a perpetual reboot loop.
    - Drop hooks/keymap and associated code; console-setup takes care of
      this in Ubuntu.
    - Incorporate rzscontrol from compcache so that we can control current
      ramzswap devices.
    - Call 'plymouth hide-splash' before running failure hooks.
    - Make /etc/mtab a symlink to /proc/mounts on startup, since e.g.
      current ntfs-3g doesn't work otherwise.
    - Ignore errors from iscan and iscan-data hooks.
    - Set hostname at boot, for the benefit of mdadm autoassembly.
    - If root= is numeric, set ROOT to /dev/block/N:N rather than /dev/root.
    - Consolidate framebuffer calls to 'udevadm settle'.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 09 Feb 2011 17:27:55 +0000

initramfs-tools (0.98.1ubuntu9) natty; urgency=low

  [ dann frazier ]
  * framebuffer: consolidate calls to 'udevadm settle' (LP: #687588).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 09 Dec 2010 12:28:27 +0000

initramfs-tools (0.98.1ubuntu8) natty; urgency=low

  * If the root= argument is numeric, set ROOT to the appropriate
    /dev/block/N:N symlink instead of mknod'ing a /dev/root device. This
    makes wait-for-root able to detect those devices. (LP: #576429)

 -- Evan Broder <evan@ebroder.net>  Fri, 26 Nov 2010 19:01:30 -0800

initramfs-tools (0.98.1ubuntu7) natty; urgency=low

  * mdadm autoassembly works by matching hostname with what is stored in the
    uuid bits of the array. So hostname needs to be set at boot time for the
    rootfs to be mounted, when the rootfs is on an array which has to be
    auto-assembled. Added support for setting the hostname. (LP: #330399)

 -- Surbhi Palande <surbhi.palande@canonical.com>  Wed, 06 Oct 2010 17:53:20 +0300

=== debian/control ===
Source: initramfs-tools
Section: utils
Priority: optional
Uploaders: maximilian attems <maks@debian.org>, Michael Prokop <mika@debian.org>
Maintainer: Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian kernel team <debian-kernel@lists.debian.org>
Build-Depends: debhelper (>= 7.0.50~), pkg-config, libudev-dev
Standards-Version: 3.9.1
Vcs-Browser: http://git.debian.org/?p=kernel/initramfs-tools.git
Vcs-Git: git://git.debian.org/git/kernel/initramfs-tools.git

Package: initramfs-tools
Architecture: all
Depends: initramfs-tools-bin (>= ${source:Version}), initramfs-tools-bin (<< ${source:Version}.1~), klibc-utils (>= 1.5.9-1), busybox-initramfs (>= 1:1.13.3-1ubuntu5), cpio, module-init-tools, udev (>= 147~-5), findutils (>= 4.2.24), util-linux (>> 2.15~rc1), ${misc:Depends}
Suggests: bash-completion
Provides: linux-initramfs-tool
Conflicts: usplash (<< 0.5.50)
Breaks: cryptsetup (<< 2:1.1.0-2.1), mountall (<< 2.0~)
Description: tools for generating an initramfs
 This package contains tools to create and boot an initramfs for packaged 2.6
 Linux kernel. The initramfs is a gzipped cpio archive. At boot time, the
 kernel unpacks that archive into RAM, mounts and uses it as initial root file
 system. The mounting of the real root file system occurs in early user space.
 klibc provides utilities to setup root. Having the root on MD, LVM2, LUKS or
 NFS is also supported.
 Any boot loader with initrd support is able to load an initramfs archive.

Package: initramfs-tools-bin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: binaries used by initramfs-tools
 This package contains binaries used inside the initramfs images generated
 by initramfs-tools.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	make -C src

override_dh_auto_clean:
	make -C src clean

override_dh_install:
	dh_install
ifneq (,$(filter initramfs-tools,$(shell dh_listpackages)))
	cp -a scripts/init-top/keymap \
		debian/initramfs-tools/usr/share/initramfs-tools/scripts/panic/keymap
	sed -i -e "/^OPTION=/d" \
		debian/initramfs-tools/usr/share/initramfs-tools/scripts/panic/keymap
endif

## initramfs-tools 0.98.8ubuntu3.1

=== debian/changelog ===
initramfs-tools (0.98.8ubuntu3.1) natty-proposed; urgency=low

  * Rename xhci to xhci-hcd to fix booting from USB 3.0 devices
    (cherry-picked fix from Debian bug #625224). (LP: #565047)

 -- Evan Broder <evan@ebroder.net>  Wed, 08 Jun 2011 09:46:20 -0700

## initramfs-tools 0.99ubuntu7

=== debian/changelog ===
initramfs-tools (0.99ubuntu7) oneiric; urgency=low

  * When falling back to vesafb, suppress stderr output from modprobe;
    otherwise in some cases we'll get error output on a console that was
    nicely blank up to a week ago.  Failing to load vesafb is usually not an
    error in any case.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 06 Oct 2011 13:21:02 -0700

initramfs-tools (0.99ubuntu6) oneiric; urgency=low

  * scripts/init-top/framebuffer: fall back to vesafb if no other
    framebuffer is found/configured, so we can take full advantage of the
    grub gfxpayload handoff support.  This ensures we get a clean
    framebuffer-based plymouth screen even when using binary video drivers.
    LP: #864149, LP: #563878, LP: #771905.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 01 Oct 2011 20:53:15 -0700

initramfs-tools (0.99ubuntu5) oneiric; urgency=low

  * hooks/compcache: udev RUN commands cannot include double quotes (")
    nor do they support shell syntax.  Move to an external helper script
    to provision and add the memory swap partitions.
  * hooks/compcache: add support for the updated zram staging driver
    which requires the size to be pushed into sysfs and the partition be
    initialised before adding.  (LP: #832694)

 -- Andy Whitcroft <apw@canonical.com>  Mon, 19 Sep 2011 15:40:32 +0100

initramfs-tools (0.99ubuntu4) oneiric; urgency=low

  * init: When receiving "recovery" on cmdline, start upstart with
    --startup-event=recovery (LP: #575469)

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 15 Sep 2011 16:07:54 -0400

initramfs-tools (0.99ubuntu3) oneiric; urgency=low

  * remove hardcoded flash-kernel call from update-initramfs, flash-kernel
    ships the same as /etc/initramfs/post-update.d/ script now

 -- Oliver Grawert <ogra@ubuntu.com>  Fri, 09 Sep 2011 12:14:01 +0200

initramfs-tools (0.99ubuntu2) oneiric; urgency=low

  * hook-functions: Revert changes from 0.98.8ubuntu3. With the current
    implementation of copying, and /etc/ld.so.conf now existing in initramfs,
    we can leave libraries at their original location. Thanks to maks for
    pointing out!
  * init: Add back compatibility symlink for /dev/.initramfs, until all
    packages using /dev/.initramfs have been moved to /run/initramfs.
    (LP: #810221)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 15 Jul 2011 11:20:32 +0200

initramfs-tools (0.99ubuntu1) oneiric; urgency=low

  * Merge with Debian unstable. See 0.98.8ubuntu1 for remaining Ubuntu
    changes. This version creates /run in the initramfs, and moves it over to
    the running system. (LP: #807306)
  * hooks/busybox: Fix symlinking of /bin/sh to busybox, to work with current
    copy_exec() function.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 12 Jul 2011 10:37:34 +0200

initramfs-tools (0.99) unstable; urgency=low

  Release "scarpe rotte e pur bisogna andar"

  [ maximilian attems ]
  * [ce45cd0] update-initramfs: Show the mkinitramfs on error message.
  * [5b84e5b] maintainer-notes.html: Fix email to send patches to.
  * [ec6a77f] doc: s/ressources/resources/
  * [3c717fa] initramfs-tools: preinst use blkid for uuid generation if around.
    (Closes: #609964)
  * [8e2ffcd] postinst cleanup very old dpkg trigger comparison.
  * [78cdb26] mkinitramfs: Add support for xz compression. (closes: #626446)
  * [f5b8347] hook-functions: Cleanup ref to ide-disk.
  * [6cab0ec] initramfs-tools: cleanup any usplash traces. (closes: #620924)
  * [08d4895] initramfs-tools: Remove mkinitramfs-kpkg.
    (Closes: #454934, #502792)
  * [0ed6376] initramfs-tools: add hid_sunplus to listed keyboard drivers.
  * [5f53d3b] init: load netconsole after loading network drivers.
    Thanks Ferenc Wagner <wferi@niif.hu> (Closes: #596742)
  * [7ff2998] debian/copyright: Update authorlist and year attribution.
  * [e789cdd] maintainer-notes: Use git dch --multimaint-merge on examples.
  * [17296ff] dep_add_modules: Use hidden_dep_add_modules for ubifs.
  * [3d44bfb] hidden_dep_add: Use mika's variadic function from $2 on.
  * [8f8299d] mkinitramfs: copy over on build instead of using symlink tree.
    (Closes: #338405, #506540)
  * [f5afa6a] mkinitramfs: Add lib search path + run full ldconfig in
    initramfs. (Closes: #612633, #619670)
  * [259ad09] mkinitramfs: creat /run initramfs directory.
  * [5add333] initramfs-tools: init mount /run tmpfs.
  * [74109b9] init: No need to touch /dev/.initramfs.
  * [8e7620a] hook-functions: xhci-hcd got renamed. (Closes: #625224)
    Thanks to Matthew Wilcox <willy@linux.intel.com>

  [ Tim Small ]
  * [1fe9f78] Add Documentation for modules=list in initramfs.conf(5).
    (Closes: #603903)

  [ Ben Hutchings ]
  * [c018886] kernel hooks: Treat missing version argument as an error.
  * [58ee42c] kernel hooks: Enable error-exit (sh -e).
  * [7866542] update-initramfs: Depend on kernel hook scripts rather than
    $ramdisk invocation.
  * [43fe8e6] update-initramfs: Remove support for 'do_bootloader' and
    specific boot loaders. (closes: #594189)

  [ Gianluigi Tiesi ]
  * [9c25269] mkinitramfs: misleading message in verbose mode.
    (Closes: #611046)

  [ Timo Juhani Lindfors ]
  * [871ffe7] initramfs-tools: Make panic message visible even if panic=
    is used.
  * [2525b00] initramfs-tools: Inform the user about reboot on panic=.

  [ Michael Prokop ]
  * [465a5f1] hidden_dep_add_modules(): make it dynamically to support more
    than 3 arguments as well.
  * [3323930] Use --check=crc32 option for xz compression.
    Thanks to Ulrich Dangel <mru@grml.org>
  * [bedf1e3] Use -8 for compression with xz.
  * [adce374] docs: fix wording ("allows *one* to") to make lintian happy.
  * [ecbc54a] Bump Standards-Version to 3.9.2.

  [ Evan Broder ]
  * [ad1a594] initramfs-tools: Fix handling of numeric root= arguments to be
     udev-friendly. (Closes: #501969, #606806)

  [ Christian Hofstaedtler ]
  * [e34eca4] init: move /proc after moving other filesystems.

  [ Roger Leigh ]


## initramfs-tools 0.99ubuntu8

=== src/Makefile ===
UDEV_CFLAGS = $(shell pkg-config --cflags libudev)
UDEV_LIBS = $(shell pkg-config --libs libudev)

CC = gcc
CFLAGS = -g -Wall -O2 $(UDEV_CFLAGS)
LDFLAGS =


.PHONY: all
all: wait-for-root rzscontrol

wait-for-root: wait-for-root.o
	$(CC) $(LDFLAGS) -o $@ $< $(UDEV_LIBS)

rzscontrol: rzscontrol.o
	$(CC) $(LDFLAGS) -o $@ $<

.PHONY: clean
clean:
	rm -f wait-for-root.o wait-for-root rzscontrol.o rzscontrol core *~

=== debian/changelog ===
initramfs-tools (0.99ubuntu8) oneiric-proposed; urgency=low

  * Too optimistic in thinking that the DRM driver will always be loaded
    in time for scripts/init-top/framebuffer to load; some users find that
    vesafb gets loaded first anyway, scrambling their console state in the
    initramfs.  Add a one-second sleep before checking if we should fall back
    to vesafb, which seems to be long enough to work around this.
    LP: #869119.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 10 Oct 2011 19:28:38 -0700

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Maintainer: Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian kernel team <debian-kernel@lists.debian.org>
 Build-Depends: debhelper (>= 7.0.50~), pkg-config, libudev-dev
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Vcs-Browser: http://git.debian.org/?p=kernel/initramfs-tools.git
 Vcs-Git: git://git.debian.org/git/kernel/initramfs-tools.git
 
@@ -15,7 +15,7 @@
 Suggests: bash-completion
 Provides: linux-initramfs-tool
 Conflicts: usplash (<< 0.5.50)
-Breaks: cryptsetup (<< 2:1.1.0-2.1), mountall (<< 2.0~)
+Breaks: cryptsetup (<< 2:1.1.0-2.1), elilo (<< 3.12-3.1~), lilo (<< 22.8-8.2~), s390-tools (<< 1.8.3-2~), mountall (<< 2.0~)
 Description: tools for generating an initramfs
  This package contains tools to create and boot an initramfs for packaged 2.6
  Linux kernel. The initramfs is a gzipped cpio archive. At boot time, the

## initramfs-tools 0.99ubuntu13

=== debian/changelog ===
initramfs-tools (0.99ubuntu13) precise; urgency=low

  * Deal with the uniquely broken situation of armhf having two linkers
    by creating both if we find either one in the target (LP: #984007)

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 17 Apr 2012 11:44:12 -0600

initramfs-tools (0.99ubuntu12) precise; urgency=low

  * Fix cross-building.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 31 Mar 2012 01:35:00 +0100

initramfs-tools (0.99ubuntu11) precise; urgency=low

  * make sure fixrtc only updates the RTC setting if last mount time is actually 
    in the future (LP: #947988)

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 07 Mar 2012 12:33:58 +0100

initramfs-tools (0.99ubuntu10) precise; urgency=low

  * Add Hyper-V paravirtualised device drivers to the initramfs to allow
    booting of stock images in a Hyper-V guest.  (LP: #917135)

 -- Andy Whitcroft <apw@canonical.com>  Fri, 10 Feb 2012 14:44:46 +0000

initramfs-tools (0.99ubuntu9) precise; urgency=low

  * Mark initramfs-tools Multi-Arch: foreign.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 20 Nov 2011 17:41:31 +0000

=== debian/control ===
--- 
+++ 
@@ -11,6 +11,7 @@
 
 Package: initramfs-tools
 Architecture: all
+Multi-Arch: foreign
 Depends: initramfs-tools-bin (>= ${source:Version}), initramfs-tools-bin (<< ${source:Version}.1~), klibc-utils (>= 1.5.9-1), busybox-initramfs (>= 1:1.13.3-1ubuntu5), cpio, module-init-tools, udev (>= 147~-5), findutils (>= 4.2.24), util-linux (>> 2.15~rc1), ${misc:Depends}
 Suggests: bash-completion
 Provides: linux-initramfs-tool

## initramfs-tools 0.99ubuntu13.1

=== debian/changelog ===
initramfs-tools (0.99ubuntu13.1) precise; urgency=low

  * Add hid-generic and hid-logitech-dj modules to the static list
    to fix keyboards with newer kernels (LP: #1066376, #1017991)

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 16 Oct 2012 03:49:16 +0100

## initramfs-tools 0.99ubuntu13.5

=== debian/changelog ===
initramfs-tools (0.99ubuntu13.5) precise-security; urgency=medium

  * SECURITY UPDATE: incorrect tmpfs mount options (LP: #1152744)
    - init: Sync the mount options for /run from /lib/init/fstab.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 21 Mar 2014 12:40:40 -0400

initramfs-tools (0.99ubuntu13.4) precise; urgency=low

  * Add ohci_pci to the list of USB host modules included in the initramfs,
    needed on some systems and not a built-in driver in Ubuntu.
    LP: #1238194.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 24 Oct 2013 23:47:17 -0700

initramfs-tools (0.99ubuntu13.3) precise; urgency=low

  * src/wait-for-root.c: udev_monitor_receive_device() might still
    return NULL even with a blocking socket if recvmsg() fails with
    ENOBUFS. Retry every second in that case. Thanks to Tetsuo Handa for
    debugging this and the patch! (LP: #1215911)

 -- Chris J Arges <chris.j.arges@canonical.com>  Thu, 05 Sep 2013 16:15:26 -0500

initramfs-tools (0.99ubuntu13.2) precise; urgency=low

  * Add nfsv3, nfsv4 and nfs_acl to the base modules to fix nfs booting with 
    newer kernels. (LP: #1217041)

 -- Ryan Tandy <rtandy@sd63.bc.ca>  Mon, 26 Aug 2013 10:46:56 -0700

## initramfs-tools 0.99ubuntu13.5+lliurex1306.1

=== debian/changelog ===
initramfs-tools (0.99ubuntu13.5+lliurex1306.1) precise; urgency=high

  * Updated zram

 -- Angel Berlanas Vicente <angel.berlanas@gmail.com>  Mon, 11 Nov 2013 13:39:04 +0100

initramfs-tools (0.99ubuntu13.5~lliurex1306) precise; urgency=high

  * src/wait-for-root.c: udev_monitor_receive_device() might still
    return NULL even with a blocking socket if recvmsg() fails with
    ENOBUFS. Retry every second in that case. Thanks to Tetsuo Handa for
    debugging this and the patch! (LP: #1215911)

 -- Chris J Arges <chris.j.arges@canonical.com>  Thu, 05 Sep 2013 16:15:26 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: initramfs-tools
 Section: utils
 Priority: optional
-Uploaders: maximilian attems <maks@debian.org>, Michael Prokop <mika@debian.org>
+Uploaders: Angel Berlanas Vicente <angel.berlanas@gmail.com>, maximilian attems <maks@debian.org>, Michael Prokop <mika@debian.org>
 Maintainer: Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian kernel team <debian-kernel@lists.debian.org>
 Build-Depends: debhelper (>= 7.0.50~), pkg-config, libudev-dev

## initramfs-tools 0.101

=== debian/changelog ===
initramfs-tools (0.101) unstable; urgency=low

  Release "inbox zero ☕"

  [ maximilian attems ]
  * [9b2a4c4] hook-functions: ext4dev is gone
  * [48c77ac] debian/control: Get rid of old findutils versioned depends
  * [7cccc87] update-initramfs: Don't call flash-kernel directly

  [ Ben Hutchings ]
  * [71ece14] mkinitramfs: Copy modules.builtin into initramfs
    (Closes: #659866)

  [ Vadim Solomin ]
  * [523ec93] initramfs-tools: Add per default missing hid-logitech-dj
    (Closes: #658029)

  [ Michael Prokop ]
  * [18a5b5e] Bump Standards-Version to 3.9.3

 -- Michael Prokop <mika@debian.org>  Tue, 06 Mar 2012 13:54:27 +0100

initramfs-tools (0.100) unstable; urgency=low

  Release "singing in the snow ☃☃☃"

  [ Michael Prokop ]
  * [16280bb] lsinitramfs: support xz/lzma, bzip2 and lzop as compress
    methods. (Closes: #586381)
  * [ee16a4e] set_initlist: redirect warning messages to stderr.
    (Closes: #601319)
  * [af110e0] Alternate Recommends on busybox-static (Closes: #639902,
    #454665)
  * [b61413d] warn user if directory is present in confdir
    (Closes: #610462)

  [ maximilian attems ]
  * [5409ca7] manual_add_modules: No longer add firmware.agent too.
    (Closes: #566401)
  * [4f98b0b] mkinitramfs: Use version comparison for xz or other
    compression tools (Closes: #624702)
  * [d479b47] initramfs-tools: rephrase description
  * [07c822f] mkinitramfs: Check if TMPDIR is writable
  * [b9ff58c] mkinitramfs: Use /var/tmp rather then /tmp for space reasons
  * [bd3c5d8] Revert "Revert "mkinitramfs: Nuke MIN_VERSION handling.""
  * [313db4c] MODULES=dep: Use /sys again to decide for libata or ide
    (Closes: #607888)
  * [9bec96f] debian/control: Drop versioned depend on pre-Etch udev
    version
  * [02ea666] debian/control: Tighten dep on klibc-utils 1.5.23-2
  * [5c68e6e] init: Prepare for switch_root(8) usage
  * [5e1f500] update-initramfs: Cleanup nowadays unused run_lilo()
  * [b0d14a0] update-initramfs: run_bootloader() hooks on create too
  * [8d0ffcb] preinst: get rid of awk usage (Closes: #589963)

  [ Timo Juhani Lindfors ]
  * [63932cc] panic(): print the name of each module before loading it
  * [cd1981e] panic: Load modules for highly probable USB keyboard
    (Closes: #615831)

  [ Martin Pitt ]
  * [b1530ee] hooks/busybox: Fix 2.99 busybox breakage (Closes: #628374)

  [ Alkis Georgopoulos ]
  * [b938c7e] configure_networking() wait for udev to populate available
    nics (LP: #682445)

  [ Harald Hoyer ]
  * [9249db6] MODULES=dep: awk free version for root dev search

  [ Sven Joachim ]
  * [717397c] copy_exec: Handle optimized libraries under multiarch paths
    (Closes: #636495)

  [ Colin Watson ]
  * [6cf2bd7] mark Multi-Arch: foreign (Closes: #649399)

 -- Michael Prokop <mika@debian.org>  Tue, 14 Feb 2012 14:42:23 +0100

=== debian/control ===
Source: initramfs-tools
Section: utils
Priority: optional
Uploaders: maximilian attems <maks@debian.org>, Michael Prokop <mika@debian.org>
Maintainer: Debian kernel team <debian-kernel@lists.debian.org>
Build-Depends: debhelper (>= 7.0)
Standards-Version: 3.9.3
Vcs-Browser: http://git.debian.org/?p=kernel/initramfs-tools.git
Vcs-Git: git://git.debian.org/git/kernel/initramfs-tools.git

Package: initramfs-tools
Architecture: all
Multi-Arch: foreign
Recommends: busybox (>= 1:1.01-3) | busybox-initramfs | busybox-static
Depends: klibc-utils (>= 1.5.23-2~), cpio, module-init-tools, udev, ${misc:Depends}
Suggests: bash-completion
Provides: linux-initramfs-tool
Conflicts: usplash (<< 0.5.50)
Breaks: cryptsetup (<< 2:1.1.0-2.1), elilo (<< 3.12-3.1~), lilo (<< 22.8-8.2~), s390-tools (<< 1.8.3-2~)
Description: generic modular initramfs generator
 This package contains tools to create a bootable initramfs for Linux 2.6
 kernel packages. The initramfs is a compressed cpio archive. At boot time, the
 kernel unpacks that archive into RAM, mounts and uses it as initial root file
 system. The mounting of the real root file system occurs in early user space.
 klibc provides utilities to setup root. Having the root on MD, LVM2, LUKS or
 NFS is also supported.
 Any boot loader with initrd support is able to load an initramfs archive.

## initramfs-tools 0.103ubuntu0.2

=== debian/changelog ===
initramfs-tools (0.103ubuntu0.2) quantal; urgency=low

  * Add hid-logitech-dj to the static module list to re-enable some
    keyboards that stopped working with recent kernels (LP: #1066376)

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 16 Oct 2012 03:39:23 +0100

initramfs-tools (0.103ubuntu0.1) quantal; urgency=low

  * hook-functions: Add hid-generic (LP: #1017991).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 26 Jun 2012 16:50:54 +0100

initramfs-tools (0.103ubuntu0) quantal; urgency=low

  * NOTE: Not an actual merge, just a cherry-pick and reving the
    version number to avoid having to touch the Breaks in klibc-utils
  * Cherry-pick the changes from 0.102 to 0.103 to move ipconfig
    bits from /tmp to /run to match the new behaviour of klibc-utils

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 01 Jun 2012 10:00:59 +0800

## initramfs-tools 0.103ubuntu0.2.2

=== debian/changelog ===
initramfs-tools (0.103ubuntu0.2.2) quantal-security; urgency=medium

  * SECURITY UPDATE: incorrect tmpfs mount options (LP: #1152744)
    - init: Sync the mount options for /run from /lib/init/fstab.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 21 Mar 2014 12:45:59 -0400

initramfs-tools (0.103ubuntu0.2.1) quantal; urgency=low

  * src/wait-for-root.c: udev_monitor_receive_device() might still
    return NULL even with a blocking socket if recvmsg() fails with
    ENOBUFS. Retry every second in that case. Thanks to Tetsuo Handa for
    debugging this and the patch! (LP: #1215911)

 -- Chris J Arges <chris.j.arges@canonical.com>  Thu, 05 Sep 2013 16:17:52 -0500

## initramfs-tools 0.103ubuntu0.5

=== debian/changelog ===
initramfs-tools (0.103ubuntu0.5) raring; urgency=low

  * When copying firmware, don't use copy_exec; running ldd on random
    firmware files is annoying and, if libc-x32 is installed, may cause
    crashes due to lack of kernel support.  LP: #1115875.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Feb 2013 07:22:19 +0000

initramfs-tools (0.103ubuntu0.4) raring; urgency=low

  * [71ece149] Cherry pick mkinitramfs: Copy modules.builtin into initramfs
    (Closes: #659866) (LP: #1075422).

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Tue, 04 Dec 2012 11:51:05 +0000

initramfs-tools (0.103ubuntu0.3) raring; urgency=low

  * Add nfsv3, nfsv4 and nfs_acl to the base modules.
    This should fix nfs from initramfs.

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 22 Nov 2012 09:43:09 -0500

## initramfs-tools 0.103ubuntu0.7

=== debian/changelog ===
initramfs-tools (0.103ubuntu0.7) raring; urgency=low

  * src/wait-for-root.c: Set udev monitor socket to blocking, as we want to
    wait for events. (LP: #1154813)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 14 Mar 2013 07:08:06 +0100

initramfs-tools (0.103ubuntu0.6) raring; urgency=low

  * Sync the mount options for /run from /lib/init/fstab.  LP: #1152744.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 13 Mar 2013 17:52:02 -0700

## initramfs-tools 0.103ubuntu0.8

=== debian/changelog ===
initramfs-tools (0.103ubuntu0.8) raring; urgency=low

  * src/wait-for-root.c: udev_monitor_receive_device() might still
    return NULL even with a blocking socket if recvmsg() fails with
    ENOBUFS. Retry every second in that case. Thanks to Tetsuo Handa for
    debugging this and the patch! (LP: #1215911)

 -- Chris J Arges <chris.j.arges@canonical.com>  Thu, 05 Sep 2013 16:20:14 -0500

## initramfs-tools 0.103ubuntu1

=== debian/changelog ===
initramfs-tools (0.103ubuntu1) saucy; urgency=low

  * src/wait-for-root.c: udev_monitor_receive_device() might still return NULL
    even with a blocking socket if recvmsg() fails with ENOBUFS. Retry every
    second in that case. Thanks to Tetsuo Handa for debugging this and the
    patch! (LP: #1215911)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 26 Aug 2013 14:23:10 +0200

## initramfs-tools 0.103ubuntu4

=== debian/changelog ===
initramfs-tools (0.103ubuntu4) trusty; urgency=medium

  * Cherrypick v0.113 changes (LP: #1194370):
    [ Henrique de Moraes Holschuh ]
    * [f59e716] implement early initramfs support (Closes: #712521)
    * [b8295f0] lsinitramfs(8): document failure to deal with early
      initramfs

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 03 Mar 2014 08:11:20 +0000

initramfs-tools (0.103ubuntu3) trusty; urgency=low

  * wait-for-root.c: Set udev monitor buffer size like udev does, to avoid
    losing events due to ENOBUFS errors. Side issue in LP #1215911, thanks to
    Kay Sievers for pointing out!

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 03 Dec 2013 16:29:24 +0100

initramfs-tools (0.103ubuntu2) trusty; urgency=low

  * Include usbhid in the list of modules we probe in the panic function,
    since we may panic before udev runs and most keyboards are USB these
    days.  Closes: #229732.
  * Add ohci_pci to the list of USB host modules included in the initramfs,
    needed on some systems and not a built-in driver in Ubuntu.
    LP: #1238194.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 24 Oct 2013 13:40:43 -0700

=== debian/rules ===
--- 
+++ 
@@ -3,8 +3,16 @@
 %:
 	dh $@
 
+DEB_BUILD_GNU_TYPE := $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+DEB_HOST_GNU_TYPE  := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
+ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
+CROSS :=
+else
+CROSS := CC=$(DEB_HOST_GNU_TYPE)-gcc PKG_CONFIG=$(DEB_HOST_GNU_TYPE)-pkg-config
+endif
+
 override_dh_auto_build:
-	make -C src
+	make -C src $(CROSS)
 
 override_dh_auto_clean:
 	make -C src clean

## initramfs-tools 0.103ubuntu4.9

=== debian/changelog ===
initramfs-tools (0.103ubuntu4.9) trusty; urgency=low

  [ Andy Whitcroft ]
  * hook-functions: include backported bnxt driver. (LP: #1712491)

 -- Dan Streetman <dan.streetman@canonical.com>  Wed, 30 Aug 2017 11:10:40 +0100

initramfs-tools (0.103ubuntu4.8) trusty; urgency=medium

  * hook-functions: handle lvm-on-nvme case.
    (LP: #1718055)

 -- Dan Streetman <dan.streetman@canonical.com>  Tue, 19 Sep 2017 11:03:43 -0400

initramfs-tools (0.103ubuntu4.7) trusty; urgency=medium

  * hook-functions: copy xhci-plat-hcd also.
    (LP: #1649213)

 -- Ike Panhc <ike.pan@canonical.com>  Tue, 10 Jan 2017 12:31:44 +0800

initramfs-tools (0.103ubuntu4.6) trusty; urgency=medium

  [ Andy Whitcroft ]
  * hook-functions: firmware -- copy symlink components into initramfs
    (LP: #1496163)

 -- Philipp Kern <pkern@ubuntu.com>  Fri, 16 Dec 2016 09:02:52 -0800

initramfs-tools (0.103ubuntu4.5) trusty; urgency=medium

  [ Timo Aaltonen ]
  * hooks/framebuffer: Copy kernel/ubuntu/i915 backport driver too.
    (LP: #1500751)

 -- Brian Murray <brian@ubuntu.com>  Wed, 07 Dec 2016 01:27:28 -0800

initramfs-tools (0.103ubuntu4.4) trusty; urgency=low

  * Backport Xenial driver lists (LP: #1608622):
   - add nvme drivers to block.
   - add ehci-* drivers to base.
   - add xhci-* drivers to base.
   - add virtio-* drivers to base.

 -- Andy Whitcroft <apw@ubuntu.com>  Mon, 01 Aug 2016 19:22:50 +0100

initramfs-tools (0.103ubuntu4.3) trusty; urgency=medium

  [ Dimitri John Ledkov ]

  * Create /bin/egrep -> busybox symlink, because initramfs-tools
    scripts/functions expect to have it & our busybox hook is executed
    after zz-busybox one. (LP: #1315755)

  [ Dave Chiluk]

  * Add resolve_device to initramfs-tools so that actual devices show up
    in df and /proc/self/mountinfo instead of the UUID symlink. This is 
    a backport of commits f135e7cf, be18fee1, f1d6fb37  from
    git://git.launchpad.net/~ubuntu-kernel/ubuntu/+source/initramfs-tools
    (LP: #1535349)

 -- Andy Whitcroft <apw@canonical.com>  Thu, 25 Feb 2016 18:55:04 +0000

initramfs-tools (0.103ubuntu4.2) trusty; urgency=medium

  * Default to a rootdelay of 180 on powerpc/ppc64/ppc64el to account
    for the slower device discovery on IPR controllers (LP: #1326199)

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 03 Jun 2014 21:39:01 -0600

initramfs-tools (0.103ubuntu4.1) trusty; urgency=medium

  * hook-functions/auto_add_modules: include psmouse as some keyboards
    are connected to the "pass-thru" port on the PS2 mouse port (because
    that is such a good idea). (LP: #1314764)

 -- Andy Whitcroft <apw@canonical.com>  Thu, 01 May 2014 10:49:19 +0100

## initramfs-tools 0.103ubuntu4.11

=== debian/changelog ===
initramfs-tools (0.103ubuntu4.11) trusty; urgency=medium

  * hook-functions: handle md arrays with nvme disk members. (LP: #1771557)

 -- Guilherme G. Piccoli <gpiccoli@canonical.com>  Wed, 16 May 2018 09:47:01 -0300

initramfs-tools (0.103ubuntu4.10) trusty; urgency=medium

  * mkinitramfs: Delete or report temporary files in /var/tmp/ on failure.
    (LP: #1713004)

 -- Brian Murray <brian@ubuntu.com>  Tue, 05 Dec 2017 11:29:04 -0800

=== debian/control ===
Source: initramfs-tools
Section: utils
Priority: optional
Uploaders: maximilian attems <maks@debian.org>, Michael Prokop <mika@debian.org>
Maintainer: Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian kernel team <debian-kernel@lists.debian.org>
Build-Depends: debhelper (>= 7.0.50~), pkg-config, libudev-dev
Standards-Version: 3.9.2
Vcs-Browser: http://git.debian.org/?p=kernel/initramfs-tools.git
Vcs-Git: git://git.debian.org/git/kernel/initramfs-tools.git

Package: initramfs-tools
Architecture: all
Multi-Arch: foreign
Depends: initramfs-tools-bin (>= ${source:Version}), initramfs-tools-bin (<< ${source:Version}.1~), klibc-utils (>= 2.0-1~), busybox-initramfs (>= 1:1.13.3-1ubuntu5), cpio, module-init-tools, udev (>= 147~-5), findutils (>= 4.2.24), util-linux (>> 2.15~rc1), ${misc:Depends}
Suggests: bash-completion
Provides: linux-initramfs-tool
Conflicts: usplash (<< 0.5.50)
Breaks: cryptsetup (<< 2:1.1.0-2.1), elilo (<< 3.12-3.1~), lilo (<< 22.8-8.2~), s390-tools (<< 1.8.3-2~), mountall (<< 2.0~)
Description: tools for generating an initramfs
 This package contains tools to create and boot an initramfs for packaged 2.6
 Linux kernel. The initramfs is a gzipped cpio archive. At boot time, the
 kernel unpacks that archive into RAM, mounts and uses it as initial root file
 system. The mounting of the real root file system occurs in early user space.
 klibc provides utilities to setup root. Having the root on MD, LVM2, LUKS or
 NFS is also supported.
 Any boot loader with initrd support is able to load an initramfs archive.

Package: initramfs-tools-bin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: binaries used by initramfs-tools
 This package contains binaries used inside the initramfs images generated
 by initramfs-tools.
